#
# spec file for package python-django-livesettings
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-livesettings
Version:        1.4.12
Release:        2.2
Url:            http://bitbucket.org/bkroeze/django-livesettings/
Summary:        Livesettings for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         django-livesettings-1.4-12.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-setuptools_hg
Requires:       python-django
Requires:       python-django-keyedcache
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Django-Livesettings is a project split from the Satchmo Project. It
provides the ability to configure settings via an admin interface, rather
than by editing "settings.py".

%prep
%setup -q -n django-livesettings-1.4-12
find . -name "*.orig" -o -name "*.pyc" | xargs rm # Remove junk files

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Oct 14 2012 alexandre@exatati.com.br
- Update to 1.4-12:
  - Sorry, no changelog.
* Sun Dec 25 2011 alexandre@exatati.com.br
- Update to 1.4-11:
  - Sorry, no changelog.
* Sat Dec 24 2011 alexandre@exatati.com.br
- Update to 1.4-10:
  - Sorry, no changelog atm.
- License in SPDX format.
* Tue Apr 19 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack.
* Mon Feb 28 2011 alexandre@exatati.com.br
- Update to 1.4.7;
- python-setuptools_hg added as BuildRequires.
* Wed Feb  9 2011 alexandre@exatati.com.br
- Update to 1.4.6.
* Wed Nov 17 2010 alexandre@exatati.com.br
- Update to 1.4.4;
- Bzip2 source file.
* Tue Apr  6 2010 alexandre@exatati.com.br
- Update to 1.4.3.
* Tue Apr  6 2010 alexandre@exatati.com.br
- Initial package (1.4-1) for openSUSE.
